Get a goal
curl --request GET \
--url https://api.darwin.so/api/v1/goals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v1/goals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v1/goals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"id": "<string>",
"goalId": "<string>",
"agentId": "<string>",
"title": "<string>",
"intent": "<string>",
"cadence": {},
"targeting": {},
"context": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accessPolicyId": "<string>",
"pausedUntil": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"publication": {}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Product API · Goals
Get a goal
GET
/
goals
/
{id}
Get a goal
Authorizations
Darwin API keys begin with darwin_ and are created in Developer settings.
Path Parameters
Query Parameters
Optional explicit agent scope. When omitted, Darwin uses the caller’s selected agent.
Response
The requested goal.
Show child attributes
Show child attributes
⌘I